Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MetaClassImpl

    java.lang.Object
      groovy.lang.MetaClassImpl

All Implemented Interfaces:
  MetaClass

    class MetaClassImpl
    extends Object

Allows methods to be dynamically added to existing classes at runtime

author:
  James Strachan

author:
  Guillaume Laforge

author:
  Jochen Theodorou

author:
  Graeme Rocher

author:
  Alex Tkachman

version:
  $Revision: 18555 $

see:
  MetaClass

Field Summary
`protected static String` | `INVOKE_METHOD_METHOD`
`protected static String` | `METHOD_MISSING`
`protected static String` | `PROPERTY_MISSING`
`protected static String` | `STATIC_METHOD_MISSING`
`protected static String` | `STATIC_PROPERTY_MISSING`
`protected MetaMethod` | `getPropertyMethod`
`protected MetaMethod` | `invokeMethodMethod`
`protected boolean` | `isGroovyObject`
`protected boolean` | `isMap`
`protected MetaMethodIndex` | `metaMethodIndex`
`protected MetaClassRegistry` | `registry`
`protected MetaMethod` | `setPropertyMethod`
`protected CachedClass` | `theCachedClass`
`protected Class` | `theClass`

Constructor Summary
`MetaClassImpl(Class theClass, MetaMethod[] add)`
`MetaClassImpl(Class theClass)`
`MetaClassImpl(MetaClassRegistry registry, Class theClass, MetaMethod[] add)`
`MetaClassImpl(MetaClassRegistry registry, Class theClass)`

Method Summary
`MetaMethod` | `getMetaMethod(String name, Object[] argTypes)`
`MetaProperty` | `getMetaProperty(String name)`
`MetaMethod` | `getStaticMetaMethod(String name, Object[] argTypes)`
`protected LinkedList` | `getSuperClasses()`
`CachedClass` | `getTheCachedClass()`
`Class` | `getTheClass()`
`MetaProperty` | `hasProperty(Object obj, String name)`
`boolean` | `isGroovyObject()`
`List` | `respondsTo(Object obj, String name, Object[] argTypes)`
`List` | `respondsTo(Object obj, String name)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### INVOKE_METHOD_METHOD

    protected static final String INVOKE_METHOD_METHOD

### METHOD_MISSING

    protected static final String METHOD_MISSING

### PROPERTY_MISSING

    protected static final String PROPERTY_MISSING

### STATIC_METHOD_MISSING

    protected static final String STATIC_METHOD_MISSING

### STATIC_PROPERTY_MISSING

    protected static final String STATIC_PROPERTY_MISSING

### getPropertyMethod

    protected MetaMethod getPropertyMethod

### invokeMethodMethod

    protected MetaMethod invokeMethodMethod

### isGroovyObject

    protected final boolean isGroovyObject

### isMap

    protected final boolean isMap

### metaMethodIndex

    protected final MetaMethodIndex metaMethodIndex

### registry

    protected MetaClassRegistry registry

### setPropertyMethod

    protected MetaMethod setPropertyMethod

### theCachedClass

    protected final CachedClass theCachedClass

### theClass

    protected final Class theClass

Constructor Detail

### MetaClassImpl

    public MetaClassImpl(Class theClass, MetaMethod[] add)

### MetaClassImpl

    public MetaClassImpl(Class theClass)

### MetaClassImpl

    public MetaClassImpl(MetaClassRegistry registry, Class theClass, MetaMethod[] add)

### MetaClassImpl

    public MetaClassImpl(MetaClassRegistry registry, Class theClass)

Method Detail

### getMetaMethod

    public MetaMethod getMetaMethod(String name, Object[] argTypes)

  see:
    MetaObjectProtocol#getMetaMethod(String, Object[])

### getMetaProperty

    public MetaProperty getMetaProperty(String name)

  see:
    MetaObjectProtocol#getMetaProperty(String)

### getStaticMetaMethod

    public MetaMethod getStaticMetaMethod(String name, Object[] argTypes)

  see:
    MetaObjectProtocol#getStaticMetaMethod(String, Object[])

### getSuperClasses

    protected LinkedList getSuperClasses()

### getTheCachedClass

    public final CachedClass getTheCachedClass()

### getTheClass

    public Class getTheClass()

### hasProperty

    public MetaProperty hasProperty(Object obj, String name)

  see:
    MetaObjectProtocol#hasProperty(Object,String)

### isGroovyObject

    public boolean isGroovyObject()

### respondsTo

    public List respondsTo(Object obj, String name, Object[] argTypes)

  see:
    MetaObjectProtocol#respondsTo(Object, String, Object[])

### respondsTo

    public List respondsTo(Object obj, String name)

  see:
    MetaObjectProtocol#respondsTo(Object, String)

Copyright © 2003-2009 The Codehaus. All rights reserved.